VectorLinux

The nuts and bolts => Installation & Updates => Topic started by: vredfreak on March 27, 2008, 06:34:56 am

Title: Unable to --upgrade due to missing 'hal-info' package.
Post by: vredfreak on March 27, 2008, 06:34:56 am
No matter what sources I use for slapt-get, --upgrade always fails because it can't find the listed hal-info package.  So I went to a few of the mirrors in my browser, and lo-and-behold, the "meta" and "txt" files are present, but the actual package is not.  The exact package in question is "hal-info-20071212-noarch-1".  I checked three different sources in my browser and the situation was the same at all three.  I'm not sure if this has anything to do with it or not, but the meta file lists the package as a "tgz" file instead of a "tlz" file (neither of which is present).

Thanks.
Title: Re: Unable to --upgrade due to missing 'hal-info' package.
Post by: caitlyn on March 27, 2008, 11:17:00 am
I've run into this too.  You can still upgrade by excluding hal-info.  Your exclude list is on the second line of your /etc/slapt-get/slapt-getrc file.  You can also upgrade specific packages at the command line.

I've reported this problem before.  Hopefully it will get fixed soon.
Title: Re: Unable to --upgrade due to missing 'hal-info' package.
Post by: vredfreak on March 27, 2008, 06:34:57 pm
Thanks for the reply.  I did see your post, but it was a few weeks old and the only suggestion was to change mirrors, which obviously doesn't help.  So I thought I'd start a different thread.  While this isn't really a show-stopper, I'd still like to get it resolved.

Thanks.
Title: Re: Unable to --upgrade due to missing 'hal-info' package.
Post by: caitlyn on March 27, 2008, 07:58:51 pm
Me too.